import React, {useState} from "react";
import {Link} from "react-router-dom";

const Navbar = () => {
    const [darkMode, setDarkMode] = useState(true)

    const toggleDarkMode = () => {
        setDarkMode(!darkMode)
    };

    const backgroundColorClasses = darkMode ? 'bg-darkGray': 'bg-lightGray';
    const textClass = darkMode ? 'text-lightGray': 'text-darkGray';
    const moonOrSunIcon = darkMode ? '☾': '☼' ;


    return (
        <div className={`${backgroundColorClasses} fixed top-0 z-50`}>
            <nav className={`flex ${textClass} gap-3 items-center justify-center`}>
                <div className='flex flex-row gap-5 items-center justify-center flex-shrink-0 w-screen relative'>
                    <div
                        className='flex flex-row flex-shrink-0 gap-0 items-center justify-start relative p-2.5 text-5xl'>TJ1
                    </div>
                    <div className='flex flex-col items-start justify-start flex-shrink-0 relative gap-2.5 p-2.5'>
                        <ul className='flex flex-row items-start justify-start flex-shrink-0 w-1/3 relative px-4 gap-8 text-xl'>
                            <li>
                                <Link to="/landingpage">Home</Link>
                            </li>
                            <li>
                                <Link to="/landingpage">Tournaments</Link>
                            </li>
                            <li>
                                <Link to="/landingpage">Support</Link>
                            </li>
                            <li>
                                <Link to="/landingpage">Options</Link>
                            </li>
                        </ul>
                    </div>
                    <div onClick={toggleDarkMode} className='cursor-pointer text-3xl'>
                        {moonOrSunIcon}
                    </div>
                    <div className='flex flex-row items-center justify-start flex-shrink-0 relative gap-5'>
                        <button className='rounded-3xl border-2 px-12 py-2 bg-lightGray text-darkGray'>
                            Create
                        </button>
                        <button className='rounded-3xl border-2 px-12 py-2'>
                            Login
                        </button>
                    </div>
                </div>
            </nav>
        </div>
    )
}

export default Navbar