import React from "react";
import LeagueOfLegends from "../../../assets/svg/League of Legends.svg"
import beerpongLeague from "../../../assets/svg/beerpong league.svg"
import apple from "../../../assets/svg/apple.svg"
import mercedes from "../../../assets/svg/mercedes.svg"
import paypal from "../../../assets/svg/PayPal.svg"
import teslaMotors from "../../../assets/svg/tesla motors.svg"
import hdmStuttgart from "../../../assets/svg/HdM Stuttgart.svg"


const PartnerImage = ({imgSrc, altText, itemName}) => (
    <div className='flex items-center justify-center gap-2 w-[165px] h-[24px]'>
        <img src={imgSrc} alt={altText} className='w-6 h-6'/>
        <div className='text-xs text-Outfit-Medium font-medium'>{itemName}</div>
    </div>
)


const Partner = () => {
    return (
        <div className='w-[1065px] h-[285px] ml-[15%]'>
            <div className='flex flex-col items-center gap-9 w-[1065px] h-[285px]'>
                <div className='flex justify-center text-lightGray text-7xl text-Outfit-ExtraBold font-bold mt-5'>
                    Our Partner
                </div>
                <div className='flex flex-col gap-9 text-lightGray mb-5'>
                    <div className='flex flex-row justify-evenly w-[800px]'>
                        <PartnerImage imgSrc={LeagueOfLegends} altText='Legaue of Legends'
                                      itemName='Legaue of Legends'/>
                        <PartnerImage imgSrc={beerpongLeague} altText='Beerpong League' itemName='Beerpong League'/>
                        <PartnerImage imgSrc={hdmStuttgart} altText='HDM Stuttgart' itemName='HdM Stuttgart'/>
                        <PartnerImage imgSrc={mercedes} altText='Mercedes' itemName='Mercedes-Benz'/>
                    </div>
                    <div className='flex flex-row justify-evenly'>
                        <PartnerImage imgSrc={teslaMotors} altText='Tesla' itemName='Tesla Motors Inc.'/>
                        <PartnerImage imgSrc={apple} altText='Apple' itemName='Apple Inc.'/>
                        <PartnerImage imgSrc={paypal} altText='PayPal' itemName='PayPal Inc.'/>
                    </div>
                </div>
            </div>
            <div className='flex justify-end mr-[5%] transform: -translate-y-16'>
                <div className='bg-deepPurple rounded-[50%] w-[186px] h-[182px] blur-[250px] opacity-50'></div>
            </div>
            <div className='flex justify-start ml-[5%] transform: -translate-y-[500px]'>
                <div className='bg-deepPurple rounded-[50%] w-[186px] h-[182px] blur-[250px] opacity-50'/>
            </div>
        </div>
    )
}

export default Partner